## IpatchSampleStoreSplit24 IpatchSampleStoreSplit24 — Sample storage object for 24 bit audio in 16 and 8 bit segments |

## Stability Level

Stable, unless otherwise indicated

## Synopsis

                        IpatchSampleStoreSplit24;
    IpatchSample *      ipatch_sample_store_split24_new     (IpatchFile *file,
                                                             guint loc_16bit,
                                                             guint loc_lsbytes);

## Object Hierarchy

      GObject
       +----IpatchItem
             +----IpatchSampleStore
                   +----IpatchSampleStoreFile
                         +----IpatchSampleStoreSplit24

## Implemented Interfaces

IpatchSampleStoreSplit24 implements IpatchSample.

## Properties

      "location-lsbytes"         guint                 : Read / Write

## Description

SoundFont 2.04 adds support for 24 bit audio. This is done in a semi backwards compatible fashion where the most significant 16 bits is stored separately from the remaining 8 bit segments. This storage object handles this transparently.

## Details

### IpatchSampleStoreSplit24

    typedef struct _IpatchSampleStoreSplit24 IpatchSampleStoreSplit24;

### ipatch_sample_store_split24_new ()

    IpatchSample *      ipatch_sample_store_split24_new     (IpatchFile *file,
                                                             guint loc_16bit,
                                                             guint loc_lsbytes);

Creates a new split 24 bit sample store (lower byte of 24 bit samples is stored in a separate block). New SoundFont 2.04 uses this method.

`file` : | File object
`loc_16bit` : | Location of 16 bit audio data
`loc_lsbytes` : | Location of 24 bit LS bytes
Returns : | New split 24 sample store

## Property Details

### The `"location-lsbytes"` property

      "location-lsbytes"         guint                 : Read / Write

LS byte sample data file position.

Default value: 0